#
# spec file for package openstack-macros
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?rhel} || 0%{?fedora}
%global rdo 1
%endif
Name:           openstack-macros
Version:        2018.1
Release:        2.1
Summary:        OpenStack Packaging - RPM Macros
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://wiki.openstack.org/wiki/Rpm-packaging
Source0:        openstack-macros-%{version}.tar.bz2
BuildArch:      noarch

%description
This package provides OpenStack RPM macros. You need it to build OpenStack
packages.

%prep
%setup -q

%build

%install
install -D -m644 macros.openstack-common %{buildroot}%{_sysconfdir}/rpm/macros.openstack-common
install -D -m644 macros.openstack-singlespec %{buildroot}%{_sysconfdir}/rpm/macros.openstack-singlespec
%if 0%{?suse_version}
install -D -m644 macros.openstack-suse %{buildroot}%{_sysconfdir}/rpm/macros.openstack-suse
%endif
%if 0%{?rdo}
install -D -m644 macros.openstack-rdo %{buildroot}%{_sysconfdir}/rpm/macros.openstack-rdo
%endif

%files
%{_sysconfdir}/rpm/macros.openstack-common
%{_sysconfdir}/rpm/macros.openstack-singlespec
%if 0%{?suse_version}
%{_sysconfdir}/rpm/macros.openstack-suse
%endif
%if 0%{?rdo}
%{_sysconfdir}/rpm/macros.openstack-rdo
%endif

%changelog
* Thu Feb 15 2018 tbechtold@suse.com
- Install macros.openstack-singlespec
* Thu Feb  1 2018 opensuse-packaging@opensuse.org
- Update to version 2018.1:
  * openstack-macros: Define ext_man for RDO/Fedora
  * Change Source lines in openstack-macros
  * Fix all Url fields for new spec-cleaner release
  * Add top_level.txt file py2_entrypoint macro
  * openstack-macros: Add singlespec macroset copy
  * openstack-macros: Bump version to 2018.1.0
  * openstack-macros: Bump version for Pike to 2017.2.0
* Tue Aug 22 2017 opensuse-packaging@opensuse.org
- Update to version 2017.2:
  * Add apache related macros
  * Bump openstack-macros to include new Apache macros
  * switch use of python_sitelib macro to python2_sitelib
  * Added OpenStack Macros for fedora
* Thu Apr  6 2017 tbechtold@suse.com
- Update to version 2017.2:
  * Bump openstack-macros to include new Apache macros
* Thu Apr  6 2017 tbechtold@suse.com
- Update to version 2017.1:
  * Add apache related macros
* Fri Feb 10 2017 tbechtold@suse.com
- Update to version 2017.1:
  * Add macros to handle -test packages
  * Add py_req_cleanup macro to openstack-macros
  * Add openstack_pre_user_group_create macro
  * Added tempest plugin entrypoint macro
  * Add missing unversioned %%py* macros
  * Obsoletes/Provides rdo-rpm-macros
  * Improved entrypoint macro for tempest plugin
* Fri Dec 23 2016 tbechtold@suse.com
- Update to version 2016.2:
  * Add py_req_cleanup macro to openstack-macros
* Fri Oct 21 2016 tbechtold@suse.com
- Update to version 2016.2:
  * Add macros to handle -test packages
- switch to stable/newton branch
* Tue Aug 30 2016 tbechtold@suse.com
- update _service and create tarball from upstream openstack-macros
  dir
- cleanup duplicate macro files (now included in the tarball)
- remove no longer needed pre_checkin.sh script
* Mon Aug  1 2016 tbechtold@suse.com
- Update to 4a0436
* Mon Jul 11 2016 tbechtold@suse.com
- update to 815ad31
* Thu Sep  3 2015 dmueller@suse.com
- Initial package
